Subject: bug#10109: [PATCH] (web http): list-style headers do not validate

From: Andy Wingo <[email-masked]>
Date: Thu, 22 Dec 2011 08:21:06 -0500

On Sun 27 Nov 2011 10:11, Daniel Hartwig <[email-masked]> writes:

> My apologies for not noticing earlier, but I have spotted a couple
> minor issues with both the previous patch and original code that are
> corrected by the attached. All relate to the "Cache-Control" header:
>
> - `max-stale' has optional value (previous code requires it)
> - some directives do not have values (`no-store', etc.)
> - there are `cache-extension' directives that may or may not have a value
>
> Attached patch tidies this up

Thanks, it was a great patch.  Applied and pushed.

> with explicit validation of all defined
> directives, though it leaves open one issue with the cache-extension
> directives:

I fixed this one, I think.

Happy hacking,

Andy
-- 
http://wingolog.org/